Subject: Re: bug#27033: package mode plural handling

From: Jean-Christophe Helary <[email-masked]>
Date: Sat, 2 Sep 2017 22:58:37 +0900

> On May 23, 2017, at 8:03, Jean-Christophe Helary <[email-masked]> wrote:
> 
> When single packages are handled, sometimes the messages keep the plural form.
> 
> For ex:
> 
> Package menu: Operation finished.  1 packages are no longer needed, type ‘M-x package-autoremove’ to remove them
> 
> The issue comes from the hardcoded message in line 3276 of package.el. I'll see if I can do something about that later this week.

I've sent a patch in the "package.el strings" thread on emacs-devel but it doesn't seem to have been applied yet. Is there anything wrong with it?

> Jean-Christophe